<template>
  <q-card class="keep-card">
    <q-card-section>
      <div class="flex justify-between">
        <div class="items-start">
          <q-input standout="bg-white" borderless v-model="formCreate.title" label="Título"/>

        </div>
        <div>
          <q-btn @click="formCreate.has_pin = !formCreate.has_pin" class="justify-center" flat>
            <q-tooltip class="f-12">Fijar nota</q-tooltip>

            <q-icon name="push_pin" :color="formCreate.has_pin === false ? 'grey-5' : ''"/>
          </q-btn>
        </div>
      </div>
      <q-input rows="3" autogrow v-model="formCreate.content" borderless type="textarea"
               label="Contenido de la nota"/>
    </q-card-section>
    <q-card-actions class="justify-between" align="stretch">
      <q-btn @click="formCreate.is_archived = !formCreate.is_archived" flat>
        <q-tooltip class="f-12">Archivar</q-tooltip>
        <q-icon name="move_to_inbox" :color="formCreate.is_archived === false ? 'grey-5' : ''"/>
      </q-btn>

      <q-btn class="mr-1" @click="createNote()">
        Cerrar
      </q-btn>

    </q-card-actions>
  </q-card>
</template>

<script>
import axios from "axios";

export default {
  name: "CardNote",
  data() {
    return {
      formCreate: {
        title: '',
        content: '',
        has_pin: false,
        is_archived: false,
      },
      apiUrl: 'http://localhost:8000/api/v1/',

    }
  },
  methods: {
    createNote() {
      axios.post(`${this.apiUrl}notes`, this.formCreate).then(res => {
        console.log(res)
      }).catch(err => {
        console.error(err);
      }).then(() => {
        this.getNotes()
        this.closeCreateNote()
      })
    },
  }
}
</script>

<style scoped>

</style>
